import ROOT
from ROOT.Experimental import XRooFit as XRF

#w = XRF.xRooNode("separate_likelihood.json")
w = XRF.xRooNode("ratio_likelihood.json")

nllOpts = XRF.xRooFit.createNLLOptions()
nllOpts.Add(ROOT.RooFit.EvalBackend("legacy").Clone()) 

nll = w["pdfs/simPdf"].nll("obsData",nllOpts)

fr = nll.minimize()
print("Fit status (0=good):",fr.status(),", Covariance Quality (3=good):",fr.covQual())
assert(fr.status()==0)
assert(fr.covQual()==3) # just to check results are good

for p in fr.floatParsFinal():
    print(p.GetName(),"=",p.getVal(),"+/-",p.getError())
